Subject: Re: Using MicroImages X Server with x11r6 NT binaries
From: [email-masked] ("David C. Hoos, Sr.")

29 Mar 1997 19:04:55 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: <[email-masked]>, <[email-masked]>,
        "Lord Vorp" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1161
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

If your login shell on the remote system is tcsh or csh there is an
environment variable already set called REMOTEHOST.  Thus, you can put the
statement setenv DISPLAY $REMOTEHOST\:0.0 in your .cshrc file.

In the Bourne Shell you could put the following in your .profile file:

set DISPLAY=`w | grep $user | awk '{print $3}'`
export DISPLAY

Hope this helps,

David C. Hoos, Sr.
http://www.ada95.com
http://www.dbhwww.com 

----------
> From: Lord Vorp <[email-masked]>
> To: [email-masked]; [email-masked]
> Subject: RE: Using MicroImages X Server with x11r6 NT binaries
> Date: Friday, March 28, 1997 4:44 PM
> 
> At 10:52 AM 3/28/97 -0700, Fabio Somenzi wrote:
> >>>>>> "SO" == Sergey Okhapkin <[email-masked]> writes:
> >
> > SO> Myles Bogner wrote:
> > >> I have downloaded and unpacked both MicroImages X Server and
> > >> x11r6bin_tar.Z.  I can get the X Server to display X programs from
> > >> a remote UNIX box.  However, I cannot figure out how to use it
> > >> with the Client files I downloaded.  For example, I start the X
> > >> Server and then attempt to run oclock, and get Error: Can't open
> > >> display: .  How do I set the display locally?  I'm running Win 95.
> >
> > SO> Set environment variable DISPLAY to localhost:0, or run "oclock
> > SO> -display localhost:0"
> >
> >I realize my question is off-topic for the list in general, but this
> >thread on X servers suggests that I'm more likely to find help here
> >than anywhere else.
> >
> >I can compile X clients with gcc, run them locally with MicroImages's
> >X server. But I am unable to figure out what my dynamically assigned
> >IP is, so that I can set DISPLAY on the remote system.
> 
> Try MYIP...the one from Starnet supports the $MYIP instead of $DISPLAY...
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".